package oop1_dat1_u;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class Spar extends Konto
{

    private double maxOut;

    public Spar()
    {
        super();
        maxOut = 500.0;
    }

    public Spar(double newSaldo, double newRate, double newMaxOut)
    {
        super(newSaldo, newRate);
        maxOut = newMaxOut;
    }

    @Override
    public void payOut(double value)
    {
        if (value <= maxOut) {
            super.payOut(value);
        }
    }

    @Override
    public void print()
    {
        System.out.println("Spar-Konto: " + super.getKontoNummer() + ", Saldo: " + super.getSaldo() + ", Zins: " + super.getRate() + "%");
    }
}
