package oop1_dat1_u;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class Konto
{

    private static int count = 1;
    private int no;
    private double saldo;
    private double rate;

    public Konto()
    {
        no = count;
        count ++;
        saldo = 0.0;
        rate = 0.0;
    }

    public Konto(double newSaldo, double newRate)
    {
        this();
        saldo = newSaldo;
        rate = newRate;
    }

    public void payIn(double value)
    {
        if (value > 0.0) {
            saldo += value;
        }
    }

    public void payOut(double value)
    {
        if ((value > 0.0) && (value <= saldo)) {
            saldo -= value;
        }
    }

    public void print()
    {
        // System.out.println("Konto: " + no + ", Saldo: " + saldo + ", Zins: " + rate + "%");
        System.out.format("Konto: %d, Saldo: %.2f, Zins: %.2f%%%n", no, saldo, rate);
    }

    protected double getSaldo()
    {
        return saldo;
    }

    protected double getRate()
    {
        return rate;
    }
    protected int getKontoNummer()
    {
        return no;
    }
}
